/**
* Copyright (C) 2005 BULL S.A.
*
* This file is part of Dolphin
*
* Dolphin : An open source J2EE Deployment Tool JSR-88 compliant
* Contact: ishmael-dev@objectweb.org
*
* Dolphin is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* Dolphin is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with Dolphin; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*/
package org.objectweb.dolphin.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IAction;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IWorkbenchWindow;
import org.objectweb.dolphin.dialogs.DialogWorkspace;


/**
 * Class who implements the action for changing the Dolphin workspace
 * @author Bourgeon J?r?me, Macherel Bruno
 */
public class ChangeWorkspaceAction extends Action {

	/**
	 * private decalarion of the element window
	 */
//	private IWorkbenchWindow fWindow;


	/**
	 * Constructor
	 * @param window
	 */
	public ChangeWorkspaceAction(IWorkbenchWindow window) {
		init(window);
		setEnabled(true);
	}

	/**
	 * Initialize the class
	 * @param window
	 */
	public void init(IWorkbenchWindow window) {
//		fWindow= window;
		setId("org.objectweb.dolphin.actions.ChangeWorkspaceAction");
		setText("Switch Workspace");
		setToolTipText("Change the current workspace to another one");
	}

	/**
	 * Dispose the window
	 */
//	public void dispose() {
//		fWindow = null;
//
//	}

	/**
	 * run the the action for cchanging the workspace
	 * @param action
	 */
	public void run(IAction action) {
		run();

	}



	/* (non-Javadoc)
	 * @see org.eclipse.jface.action.IAction#run()
	 */
	public void run(){
		Shell parentshell = new Shell();//fWindow.getShell();
//		FormLayout form = new FormLayout();
//		parentshell.setLayout(form);
//		parentshell.setSize(300,200);
//		parentshell.setText("Choose workspace");
//		parentshell.setToolTipText("Choose a new workspace");
//		parentshell.setImage(DolphinPlugin.getImageDescriptor("images/icons/dolphin.gif").createImage());
		DialogWorkspace dialog = new DialogWorkspace(parentshell);
		parentshell.pack();
		dialog.open();
	}

}
