
/**
* Copyright (C) 2005 BULL S.A.
*
* This file is part of Dolphin
*
* Dolphin : An open source J2EE Deployment Tool JSR-88 compliant
* Contact: ishmael-dev@objectweb.org
*
* Dolphin is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* Dolphin is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with Dolphin; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*/
package org.objectweb.dolphin.rcp;

import org.eclipse.ui.application.IWorkbenchWindowConfigurer;
import org.eclipse.ui.application.WorkbenchAdvisor;
import org.eclipse.ui.application.WorkbenchWindowAdvisor;
import org.objectweb.dolphin.configuration.ConfigurationPerspective;

/**
 * The workbench Advisor of Dolphin
 * @author Bourgeon J?r?me, Macherel Bruno
 */
public class DolphinWorkbenchAdvisor extends WorkbenchAdvisor {

    /**
     * @see org.eclipse.ui.application.WorkbenchAdvisor#getInitialWindowPerspectiveId()
     */
    public String getInitialWindowPerspectiveId() {
        return ConfigurationPerspective.ID_PERSPECTIVE;
    }

	/**
	 * @see org.eclipse.ui.application.WorkbenchAdvisor#createWorkbenchWindowAdvisor(org.eclipse.ui.application.IWorkbenchWindowConfigurer)
	 */
	public WorkbenchWindowAdvisor createWorkbenchWindowAdvisor(IWorkbenchWindowConfigurer configurer){
		configurer.setShowPerspectiveBar(true);
//		IPerspectiveRegistry perspectiveRegistry = configurer.getWorkbenchConfigurer().getWorkbench().getPerspectiveRegistry();
//
//		//A partir du registre de perspectives, on peut r?cup?rer toutes les perspectives definies par le plug-in
//		IPerspectiveDescriptor[] perspectiveDescriptors = new IPerspectiveDescriptor[perspectiveRegistry.getPerspectives().length];
//		perspectiveDescriptors = perspectiveRegistry.getPerspectives();
//
//		//A partir de la page courante...
//		IWorkbenchPage workbenchPage = configurer.getWorkbenchConfigurer().getWorkbench().getActiveWorkbenchWindow().getActivePage();
//		//...On ouvre chaque perspective
//		if (workbenchPage != null){
//		for (int i = 0; i < perspectiveDescriptors.length; i++) {
//			//Si la perspective est celle par d?faut, on la ferme...
//			if (perspectiveDescriptors[i].getId().equals(
//					this.getInitialWindowPerspectiveId())) {
//				workbenchPage.closePerspective(perspectiveDescriptors[i],
//						false, false);
//			}
//			//...Sinon, on l'ouvre
//			else {
//				workbenchPage.setPerspective(perspectiveDescriptors[i]);
//			}
//		}
//		}
		return new DolphinWorkbenchWindowAdvisor(configurer);
	}



}