/**
 * Copyright (C) 2005 BULL S.A.
 *
 * This file is part of Dolphin
 *
 * Dolphin : An open source J2EE Deployment Tool JSR-88 compliant
 * Contact: ishmael-dev@objectweb.org
 *
 * Dolphin is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * Dolphin is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Dolphin; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */
package org.objectweb.dolphin.rcp;

import org.eclipse.swt.graphics.Point;
import org.eclipse.ui.IPerspectiveDescriptor;
import org.eclipse.ui.IPerspectiveRegistry;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.application.ActionBarAdvisor;
import org.eclipse.ui.application.IActionBarConfigurer;
import org.eclipse.ui.application.IWorkbenchWindowConfigurer;
import org.eclipse.ui.application.WorkbenchWindowAdvisor;

/**
 * The workbench Window Advisor of Dolphin
 * @author Bourgeon J?r?me, Macherel Bruno
 */
public class DolphinWorkbenchWindowAdvisor extends WorkbenchWindowAdvisor {
//	private WorkbenchAdvisor workbenchAdvisor;
	/**
	 * Constructor
	 * @param configurer
	 */
	public DolphinWorkbenchWindowAdvisor(IWorkbenchWindowConfigurer configurer) {
		super(configurer);
//		this.workbenchAdvisor=workbenchAdvisor;
	}

	/**
	 * Initialize the IWorkbenchWindowConfigurer
	 * @param configurer
	 */
	public void preWindowOpen(IWorkbenchWindowConfigurer configurer) {
		// super.preWindowOpen(configurer);
		configurer.setInitialSize(new Point(800, 600));
		configurer.setShowCoolBar(false);
		configurer.setShowStatusLine(true);

		//        configurer.setTitle(Messages.getString("DolphinTitle")); //$NON-NLS-1$
	}
	public void postWindowOpen() {
		IWorkbenchWindowConfigurer configurer = getWindowConfigurer();
	    openAllPerspectives(configurer);
    }

	/**
	 * @see org.eclipse.ui.application.WorkbenchWindowAdvisor#createActionBarAdvisor(org.eclipse.ui.application.IActionBarConfigurer)
	 */
	public ActionBarAdvisor createActionBarAdvisor(
			IActionBarConfigurer configurer) {
		return new DolphinActionBarAdvisor(configurer);
	}

	public void openAllPerspectives(IWorkbenchWindowConfigurer configurer) {

//		IPerspectiveRegistry perspectiveRegistry = workbench.getPerspectiveRegistry();
//
//		//A partir du registre de perspectives, on peut r?cup?rer toutes les perspectives definies par le plug-in
//		IPerspectiveDescriptor[] perspectiveDescriptors = new IPerspectiveDescriptor[perspectiveRegistry.getPerspectives().length];
//		perspectiveDescriptors = perspectiveRegistry.getPerspectives();
//
////		//A partir de la page courante...
////		IWorkbenchPage workbenchPage = workbench.getActiveWorkbenchWindow().getActivePage();
//
//		//...On ouvre chaque perspective
//		for (int i = 0; i < perspectiveDescriptors.length; i++) {
//			//Si la perspective est celle par d?faut, on la ferme...
//			if (perspectiveDescriptors[i].getId().equals(
//					workbenchAdvisor.getInitialWindowPerspectiveId())) {
//				workbenchPage.closePerspective(perspectiveDescriptors[i],
//						false, false);
//			}
//			//...Sinon, on l'ouvre
//			else {
//				workbenchPage.setPerspective(perspectiveDescriptors[i]);
//			}
//		}
		IWorkbenchPage page = configurer.getWindow().getActivePage();
		if (page != null) {
		      IPerspectiveDescriptor activePersp = page.getPerspective();
		      IPerspectiveRegistry reg = configurer.getWorkbenchConfigurer()
		          .getWorkbench().getPerspectiveRegistry();

		      IPerspectiveDescriptor persp[] = reg.getPerspectives();
		      for (int i = 0; i < persp.length; i++) {
		        page.setPerspective(persp[i]);
		      }

		      page.setPerspective(activePersp);
		    }
	}
}
